Hakila Docs
Responses

取回 Response

對齊 OpenAI `GET /v1/responses/{response_id}`,query 參數(`include`、`stream`、 `starting_after`、`include_obfuscation`)原樣轉發。 - 回應存在上游,請求本身沒有 `model`,因此一律使用這把金鑰可用的 OpenAI 金鑰 - 取回不重複計費;只有 `background` 建立當下沒算過帳的那一筆,會在這裡補記一次

GET/v1/responses/{response_id}

對齊 OpenAI GET /v1/responses/{response_id},query 參數(include、stream、 starting_after、include_obfuscation)原樣轉發。

  • 回應存在上游,請求本身沒有 model,因此一律使用這把金鑰可用的 OpenAI 金鑰
  • 取回不重複計費;只有 background 建立當下沒算過帳的那一筆,會在這裡補記一次

Authorization

bearerAuth
AuthorizationBearer <token>

在 Authorization 標頭帶入 Workspace API Key: Authorization: Bearer sk-hakila-...

In: header

Path Parameters

response_id*string

由 POST /v1/responses 產生的回應 id

Query Parameters

stream?boolean

以 SSE 續播事件

include?array<string>

額外要包含的欄位(與 OpenAI 相同)

starting_after?integer

從這個 sequence number 之後開始續播

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/responses/resp_68a1b2c3"
{  "id": "string",  "object": "string",  "status": "string",  "model": "string",  "output": [    {}  ],  "usage": {    "input_tokens": 0,    "input_tokens_details": {      "cached_tokens": 0,      "cache_write_tokens": 0    },    "output_tokens": 0,    "total_tokens": 0  }}